summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2018-11-14 17:16:17 -0500
committerAnthony G. Basile <blueness@gentoo.org>2018-11-14 17:16:34 -0500
commit8373b4e8cdf05e4eb76491e03fa86f72d6ab2da1 (patch)
tree4c595da2210c78739f47bd1be0a4c7ff75d5ad77
parentpackage.use.mask: unmask iptables[nftables] for ~sparc, bug #569254 (diff)
downloadgentoo-8373b4e8cdf05e4eb76491e03fa86f72d6ab2da1.tar.gz
gentoo-8373b4e8cdf05e4eb76491e03fa86f72d6ab2da1.tar.bz2
gentoo-8373b4e8cdf05e4eb76491e03fa86f72d6ab2da1.zip
app-portage/grs: version bump to 0.7
Signed-off-by: Anthony G. Basile <blueness@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--app-portage/grs/Manifest1
-rw-r--r--app-portage/grs/grs-0.7.ebuild64
-rw-r--r--app-portage/grs/grs-9999.ebuild6
3 files changed, 68 insertions, 3 deletions
diff --git a/app-portage/grs/Manifest b/app-portage/grs/Manifest
index 061abe4fe0e..fa073aa2e28 100644
--- a/app-portage/grs/Manifest
+++ b/app-portage/grs/Manifest
@@ -1,3 +1,4 @@
DIST ISO-1.tar.gz 2887967 BLAKE2B 0ae9d9c4078974316d6865a8601705f7c69c8305d8401835bfa544d14a90b3688ea6b881a1c07bcb969fe2b15f210d05f114ebaf3af5ba6f1ae3705d395f1603 SHA512 50bd9bcaa3d1900763936beb4801fd9e5cb963e39d51c39c9cc9a8d160469db1b0c6fffae01bbb5d5d5c6d4e42d84a6c499c465bbdd964835c2d190785eed52d
DIST grs-0.5.tar.gz 34213 BLAKE2B 3745d68db8da65f72e3b82ed2350d8a8696848d451aa3da5c941174403be7fea9a4b7536cdf532d0d89b6014817c14f874d0dbca3408bdd8326e88396767f119 SHA512 85cb78d898c266fe4f1a5298d3add20fb127d43469cd00d32400bebf0c7350c07b581f9e8714a32db62c57f5a92fca0cbe66f0e2812dab86f57d9e8c66aaab7f
DIST grs-0.6.tar.gz 34752 BLAKE2B cbd99ba7fea491db032d08cd1daa5a18cab8e8f21110bbe7d6d9c2b532776a9c9f55bd4a1d2b9bd6ea5fdaefdd2fb5af5b35beb6adcfe57d0d02b779c6ceaacb SHA512 ede5117ffe5dad982366b3acabc98bc018cc74aa079080f1a20fe31e86bca0b6ed48589ce22a400bf43d882f17dc630a4f7c99a7f7b4a4cb7c6f2f97974ecc5d
+DIST grs-0.7.tar.gz 36330 BLAKE2B 9e835262656f8a51969810f92a1ae801bc058c4529c01fe1998227fa8b81939c1d7db9f335f5a18f18d9cbd53ec809d289efd80ba7543b3b61a8dee1296bd780 SHA512 b530d66e3402e34f1c4efdff0af0e1d0f0ccf311c440c8d5ee050f8a8ab178d663433f766d507c5b1280ef9056fd97d05915e65e07a1a59bb8a3c80fd4bab4c6
diff --git a/app-portage/grs/grs-0.7.ebuild b/app-portage/grs/grs-0.7.ebuild
new file mode 100644
index 00000000000..c741dcba3ea
--- /dev/null
+++ b/app-portage/grs/grs-0.7.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1 linux-info
+
+ISO="ISO-1.tar.gz"
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/grss.git"
+ SRC_URI="https://dev.gentoo.org/~blueness/${PN}/${ISO}"
+ inherit git-r3
+else
+ SRC_URI="https://dev.gentoo.org/~blueness/${PN}/${P}.tar.gz
+ https://dev.gentoo.org/~blueness/${PN}/${ISO}"
+ KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+DESCRIPTION="Suite to build Gentoo Reference Systems"
+HOMEPAGE="https://dev.gentoo.org/~blueness/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="server"
+
+DEPEND=""
+RDEPEND="
+ || (
+ sys-apps/portage
+ sys-apps/portage-mgorny
+ )
+ server? (
+ app-arch/tar[xattr]
+ app-crypt/md5deep
+ dev-libs/libcgroup
+ dev-vcs/git
+ net-misc/rsync
+ sys-fs/squashfs-tools
+ virtual/cdrtools
+ || (
+ sys-kernel/genkernel
+ sys-kernel/genkernel-next
+ )
+ )"
+
+pkg_setup() {
+ if use server; then
+ local CONFIG_CHECK="~CGROUPS"
+ local ERROR_CGROUPS="WARNING: grsrun requires CONFIG_CGROUPS enabled in the kernel."
+ linux-info_pkg_setup
+ fi
+}
+
+src_install() {
+ distutils-r1_src_install
+ echo "CONFIG_PROTECT=\"/etc/grs/systems.conf\"" > "${T}"/20grs
+ doenvd "${T}"/20grs
+ if use server; then
+ mkdir "${D}"/usr/share/${PN}
+ cp "${DISTDIR}"/${ISO} "${D}"/usr/share/${PN}
+ fi
+}
diff --git a/app-portage/grs/grs-9999.ebuild b/app-portage/grs/grs-9999.ebuild
index 4694f1182e9..c741dcba3ea 100644
--- a/app-portage/grs/grs-9999.ebuild
+++ b/app-portage/grs/grs-9999.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="6"
+EAPI="7"
PYTHON_COMPAT=( python3_{4,5,6} )
inherit distutils-r1 linux-info
@@ -58,7 +58,7 @@ src_install() {
echo "CONFIG_PROTECT=\"/etc/grs/systems.conf\"" > "${T}"/20grs
doenvd "${T}"/20grs
if use server; then
- mkdir ${D}/usr/share/${PN}
- cp "${DISTDIR}"/${ISO} ${D}/usr/share/${PN}
+ mkdir "${D}"/usr/share/${PN}
+ cp "${DISTDIR}"/${ISO} "${D}"/usr/share/${PN}
fi
}